 /*
  * daytime daemon, for those systems that have no real daytime daemon but
  * one that is built into the inet daemon. This daemon logs the name of the
  * that requests the daytime service.
  * 
  * Author: Wietse Venema, Eindhoven University of Technology, The Netherlands.
  */

#ifndef lint
static char sccsid[] = "@(#) in.daytimed.c 1.1 91/07/31 15:17:35";

#endif

#include <stdio.h>
#include <syslog.h>
#include <sys/types.h>
#include <sys/param.h>
#include <time.h>

main(argc, argv)
int     argc;
char  **argv;
{
    char   *fromhost();
    char   *host_name;
    long    time();
    long    now;
    struct tm *localtime();
    struct tm *tp;

    /*
     * Open a channel to the syslog daemon. Older versions of openlog()
     * require only two arguments.
     */

#ifdef LOG_MAIL
    (void) openlog(argv[0], LOG_PID, LOG_MAIL);
#else
    (void) openlog(argv[0], LOG_PID);
#endif

    /* Find out and report the remote host name. */

    if ((host_name = fromhost()) == 0)
	host_name = "unknown";
    syslog(LOG_INFO, "connect from %s", host_name);

    /* Provide the current local time. */

    (void) time(&now);
    write(1, asctime(localtime(&now)), 25);
    return (0);
}
